<template>
    <div>

        <div v-if="$device.isMobile" id="_mobileTopBlock" class="pa-3">
            <v-btn
                large
                outline
                block
                dark
                class="mb-3"
                to="/12-single-loop-bale-ties"
            >Single Loop Bale Ties</v-btn>
            <v-btn
                large
                outline
                block
                dark
                class="mb-3"
                to="/13-black-annealed-box-wire"
            >Black Annealed Box Wire</v-btn>
            <v-btn
                large
                outline
                block
                dark
                class="mb-3"
                to="/14-hi-ten-galvanized-stem-wire"
            >Hi-Ten Galvanized Stem Wire</v-btn>
            <v-btn
                large
                outline
                block
                dark
                to="/14-black-annealed-stem-wire"
            >Black Annealed Stem Wire</v-btn>
        </div>

        <v-card v-else class="flex">

            <div class="_homeleft">

                <div class="logo pa-1 column">
                    <nuxt-link to="/" class="pa-2">
                        <img :src="$store.state.app_domain + 'img/cardboadbalingwire-logo.jpg'" alt="Cardboard Baling Wire">
                    </nuxt-link>
                </div>

                <div class="_navigation">
                    <h1 class="mb-4">No. 1 Cardboard Baling Wire Seller in USA</h1>
                    <p>This is some demo text so that it looks good for sometime and so that it fills 3 lines and that should look good.</p>

                    <div class="_business_info">
                        <a href="mailTo:sales@cardboardbalingwire.com" class="full flex">
                            <v-icon left>mail_outline</v-icon>
                            sales@cardboardbalingwire.com
                        </a>
                        <a href="tel:+18332253843" class="full flex">
                            <v-icon left>local_phone</v-icon>
                            (833) 225-3843
                        </a>
                    </div>

                </div>

                <div>
                    <v-btn
                        depreseed
                        large
                        flat
                    >
                        <v-icon left>keyboard_arrow_down</v-icon>
                        View All Cardboard Baling Wire
                    </v-btn>
                </div>

            </div>

            <div class="_homeright">

                <div class="links flex space-between">

                    <div class="">
                        <v-btn
                            depressed
                            to="/account/login"
                            small
                            color="secondary"
                        >Login</v-btn>
                        <v-btn
                            depressed
                            to="/account/register"
                            small
                            color="secondary"
                        >Create an Account</v-btn>
                    </div>

                    <div class="">
                        <v-btn
                            depressed
                            to="/cart"
                            small
                            color="secondary"
                        >
                            Cart
                            <span class="_badge ml-2">0</span>
                        </v-btn>
                    </div>

            </div>

                <div class="choose-wire-app">
                    <h2>Start shopping for cardboard baling wire</h2>
                    <div class="_wireSelect">
                        <v-select
                            :items="wires"
                            label="Choose Wire"
                            solo
                        ></v-select>
                    </div>
                </div>

            </div>
        </v-card>

    </div>
</template>

<script>
export default {
    data () {
        return {
            wires: [
                'Single Loop Bale Ties',
                'Black Annealed Box Wire',
                'Hi-Ten Galvanized Stem Wire',
                'Black Annealed Stem Wire'
            ]
        }
    }
}
</script>
